Bug 243043 - [libata] System hangs if "port is slow to respond"
[libata] System hangs if "port is slow to respond"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Alan Cox
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 20:44 EDT by Emanuele Rossi
Modified: 2008-06-16 21:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (51.97 KB, text/plain)
2007-06-06 20:44 EDT, Emanuele Rossi
no flags Details
Output of lspci -vvxxx (44.20 KB, text/plain)
2007-09-24 01:08 EDT, Juhani Jaakola
no flags Details
Output of dmesg (21.76 KB, text/plain)
2007-09-24 01:09 EDT, Juhani Jaakola
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 75295 None None None Never

  None (edit)
Description Emanuele Rossi 2007-06-06 20:44:20 EDT
Description of problem:
System hangs randomly. It seems to depend on the CD-ROM ata module.
Here is dmesg error (see attachment for details):

ata5.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata5.00: cmd a0/01:00:00:00:00/00:00:00:00:00/a0 tag 0 cdb 0x43 data 12 in
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata5: port is slow to respond, please be patient (Status 0xd0)
ata5: port failed to respond (30 secs, Status 0xd0)
ata5: soft resetting port
ata5.00: configured for MWDMA2
ata5: EH complete

Version-Release number of selected component (if applicable):
kernel 2.6.21-1.3194.fc7

How reproducible:
It randomly occurs.
  
Actual results:
System stops responding.

Additional info:
Seems to be less frequent if a CD-ROM is present into the drive.
Comment 1 Emanuele Rossi 2007-06-06 20:44:20 EDT
Created attachment 156415 [details]
dmesg
Comment 2 Juhani Jaakola 2007-08-04 10:01:48 EDT
I get similar messages from a CD/DVD drive, but my system does not hang. Here is
an example:

ata2.00: qc timeout (cmd 0xa0)
ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x43 data 12 in
         res 51/20:03:00:00:00/00:00:00:00:00/a0 Emask 0x5 (timeout)
ata2: port is slow to respond, please be patient (Status 0xd1)
ata2: device not ready (errno=-16), forcing hardreset
ata2: soft resetting port
ata2.00: configured for UDMA/33
ata2: EH complete
ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x43 data 12 in
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata2: port is slow to respond, please be patient (Status 0xd0)
ata2: device not ready (errno=-16), forcing hardreset
ata2: soft resetting port
ata2.00: configured for UDMA/33
ata2: EH complete

What do these messages mean?

I have not used the CD/DVD drive since last hard boot. I don't know if any cron
job accesses it - I have the standard Fedora crontabs.

Similar messages appear from time to time, for example here are the timestamps
for the exception row from today afternoon:

12:18:09, 12:21:32, 13:05:52, 13:12:11, 14:27:21, 14:29:38, 14:49:30, 16:29:56

The CD/DVD drive is "TSSTcorp CD/DVDW TS-L632D ac00". The "ac00" is the firmware
patch level - do you think I can safely upgrade the drive firmware? Do you
happen to know URL to the download page?

I have Acer Aspire 9301AWSMi with Fedora 7, which I have updated
to the latest packages possible. My kernel is 2.6.22.1-41.fc7.

Here are the initialization lines from dmesg (I fgrepped with ata2, libata and
scsi):

libata version 2.21 loaded.
scsi0 : pata_amd
scsi1 : pata_amd
ata2: PATA max UDMA/133 cmd 0x00010170 ctl 0x00010376 bmdma 0x00013088 irq 15
ata2.00: ATAPI: TSSTcorpCD/DVDW TS-L632D, ac00, max UDMA/33
ata2.00: configured for UDMA/33
scsi 0:0:0:0: Direct-Access     ATA      Hitachi HTS54161 SBDO PQ: 0 ANSI: 5
sd 0:0:0:0: [sda] Attached SCSI disk
scsi 1:0:0:0: CD-ROM            TSSTcorp CD/DVDW TS-L632D ac00 PQ: 0 ANSI: 5
sd 0:0:0:0: Attached scsi generic sg0 type 0
scsi 1:0:0:0: Attached scsi generic sg1 type 5
sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
sr 1:0:0:0: Attached scsi CD-ROM sr0

I upgraded my system from FC6. With FC6 I had severe problems with the CD/DVD
drive - it used to hang my system so that for about 5 seconds the system was
frozen, then it did something and again froze for 5 seconds. This repeated over
and over again. FC6 used the IDE subsystem, not libata. Now with libata the
system is usable all the time despite of these messages. Here are the FC6 dmesg
messages, it it helps you (kernel 2.6.20-1.2933.fc6):

Apr  5 18:22:30 acer kernel: hdc: status timeout: status=0xd0 { Busy }
Apr  5 18:22:30 acer kernel: ide: failed opcode was: unknown
Apr  5 18:22:30 acer kernel: hdc: drive not ready for command

I can dual-boot the system to Windows XP Home too, and I have not
noticed any problems there. But I use Linux most of the time...
Comment 3 Christopher Brown 2007-09-13 19:40:55 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel? It might also help to give
the output from the hdparm command:

# hdparm /dev/hdc

for example.

As for firmware for your burner, I would suggest referring to your system
manufacturer. If they have released an update I would recommend trying this.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 4 Juhani Jaakola 2007-09-22 10:29:42 EDT
Hi!

I still get these messages with kernel 2.6.22.5-76.fc7:

ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata2: port is slow to respond, please be patient (Status 0xd0)
ata2: device not ready (errno=-16), forcing hardreset
ata2: soft resetting port
ata2.00: configured for UDMA/33
ata2: EH complete

And this is all that hdparm gives:

[root@acer ~]# /sbin/hdparm /dev/scd0 

/dev/scd0:
 IO_support   =  0 (default 16-bit)
 readonly     =  0 (off)
 readahead    = 256 (on)
 HDIO_GETGEO failed: Inappropriate ioctl for device

Cheers, JJ
Comment 5 Christopher Brown 2007-09-23 11:19:26 EDT
It would be helpful to attach the output from the following command to this bug
(as text/plain):

# lspci -vvxxx

as well as a dmesg from the current kernel. I can then re-assign to the relevant
maintainer who may wish to review this further.
Comment 6 Juhani Jaakola 2007-09-24 01:08:39 EDT
Created attachment 203701 [details]
Output of lspci -vvxxx
Comment 7 Juhani Jaakola 2007-09-24 01:09:33 EDT
Created attachment 203711 [details]
Output of dmesg
Comment 8 Christopher Brown 2007-09-24 07:21:42 EDT
Okay, thanks for the info. Re-assigning.
Comment 9 Juhani Jaakola 2007-11-01 06:28:34 EDT
I upgraded to kernel 2.6.23.1-10.fc7 but it didn't help. I still get the same
messages, here is the latest:

ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x25 data 8 in
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata2: port is slow to respond, please be patient (Status 0xd0)
ata2: device not ready (errno=-16), forcing hardreset
ata2: soft resetting port
ata2.00: configured for UDMA/33
ata2: EH complete
Comment 10 Richard Heck 2008-01-14 13:16:20 EST
I have this same sort of problem, with all optical drives in my system, whether
CD-ROM (Plextor), DVD (three different ones, I've tried), and whether PATA or
SATA. They'll all go loopy at various times.
Comment 11 Juhani Jaakola 2008-03-23 05:43:26 EDT
I upgraded the firmware for my TS-L632D drive from AC00 to SC04. My laptop is
Acer Aspire, and firmware for Acer is named AC**, not SC**, so this is not an
official way to upgrade. I used instructions from:

https://bugs.launchpad.net/linux/+bug/75295/comments/98

After the upgrade the errors (see my post on 2007-09-22) disappeared from
/var/log/messages!

However, after the upgrade yesterday, I have had two hangs! I can move the
cursor on X Windows and even change to other window, but anything more complex
just hangs - maybe because of waiting for I/O? This lasted for 10 minutes, after
which the system worked normally, so far for 12 hours. There were no errors in
/var/log/messages.

Currently I'm using kernel-2.6.23.15-80.fc7
Comment 12 Bug Zapper 2008-05-14 08:52:38 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2008-06-16 21:28:16 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.